searchNodes=[{"ref":"Ane.html","title":"Ane","type":"module","doc":"A very efficient way to share mutable data by utilizing :atomics and :ets modules. github.com/gyson/ane has detailed guides."},{"ref":"Ane.html#clear/1","title":"Ane.clear/1","type":"function","doc":"Clear garbage data which could be generated when Ane.put is interrupted. Example iex&gt; a = Ane.new(1) iex&gt; Ane.clear(a) :ok"},{"ref":"Ane.html#destroy/1","title":"Ane.destroy/1","type":"function","doc":"Destroy an Ane instance. Example iex&gt; a = Ane.new(1) iex&gt; Ane.destroyed?(a) false iex&gt; Ane.destroy(a) :ok iex&gt; Ane.destroyed?(a) true"},{"ref":"Ane.html#destroyed?/1","title":"Ane.destroyed?/1","type":"function","doc":"Check if Ane instance is destroyed. Example iex&gt; a = Ane.new(1) iex&gt; Ane.destroyed?(a) false iex&gt; Ane.destroy(a) :ok iex&gt; Ane.destroyed?(a) true"},{"ref":"Ane.html#get/2","title":"Ane.get/2","type":"function","doc":"Get value at one-based index in Ane instance. It returns a tuple with two elements: First element is new Ane instance which includes latest cached data. Note: we need to use this returned new Ane instance for following read operations to make cache work properly. Second element is the value at one-based index. Value is initialized as nil by default. Example iex&gt; a = Ane.new(1) iex&gt; {a, value} = Ane.get(a, 1) iex&gt; value nil iex&gt; Ane.put(a, 1, &quot;hello&quot;) :ok iex&gt; {_, value} = Ane.get(a, 1) iex&gt; value &quot;hello&quot;"},{"ref":"Ane.html#get_mode/1","title":"Ane.get_mode/1","type":"function","doc":"Get mode of Ane instance. Example iex&gt; Ane.new(1) |&gt; Ane.get_mode() :ane iex&gt; Ane.new(1, mode: :ane) |&gt; Ane.get_mode() :ane iex&gt; Ane.new(1, mode: :ets) |&gt; Ane.get_mode() :ets"},{"ref":"Ane.html#get_size/1","title":"Ane.get_size/1","type":"function","doc":"Get size of Ane instance. Example iex&gt; Ane.new(1) |&gt; Ane.get_size() 1 iex&gt; Ane.new(10) |&gt; Ane.get_size() 10"},{"ref":"Ane.html#get_table/1","title":"Ane.get_table/1","type":"function","doc":"Get ETS table of Ane instance. The returned ETS table could be used to get more info via :ets.info change ownership via :ets.give_away change configuration via :ets.setopts Example iex&gt; Ane.new(1) |&gt; Ane.get_table() |&gt; :ets.info(:type) :set"},{"ref":"Ane.html#new/2","title":"Ane.new/2","type":"function","doc":"Create and return an Ane instance. Options :mode (atom) - set mode of Ane instance. Default to :ane. :read_concurrency (boolean) - set read_concurrency for underneath ETS table. Default to false. :write_concurrency (boolean) - set write_concurrency for underneath ETS table. Default to false. :compressed (boolean) - set compressed for underneath ETS table. Default to false. Example iex&gt; a = Ane.new(1, read_concurrency: false, write_concurrency: false, compressed: false) iex&gt; t = Ane.get_table(a) iex&gt; :ets.info(t, :read_concurrency) false iex&gt; :ets.info(t, :write_concurrency) false iex&gt; :ets.info(t, :compressed) false"},{"ref":"Ane.html#put/3","title":"Ane.put/3","type":"function","doc":"Put value at one-based index in Ane instance. It would always return :ok. Ane.put includes one :ets.insert operation and one :ets.delete operation. When the process running Ane.put is interrupted (e.g. by :erlang.exit(pid, :kill)), garbage data could be generated if it finished insert operation but did not start delete operation. These garbabge data could be removed by Ane.clear. Example iex&gt; a = Ane.new(1) iex&gt; {a, value} = Ane.get(a, 1) iex&gt; value nil iex&gt; Ane.put(a, 1, &quot;world&quot;) :ok iex&gt; {_, value} = Ane.get(a, 1) iex&gt; value &quot;world&quot;"},{"ref":"Ane.html#t:atomics_ref/0","title":"Ane.atomics_ref/0","type":"type","doc":""},{"ref":"Ane.html#t:t/0","title":"Ane.t/0","type":"type","doc":""},{"ref":"Ane.html#t:t_for_ane_mode/0","title":"Ane.t_for_ane_mode/0","type":"type","doc":""},{"ref":"Ane.html#t:t_for_ets_mode/0","title":"Ane.t_for_ets_mode/0","type":"type","doc":""},{"ref":"Ane.html#t:tid/0","title":"Ane.tid/0","type":"type","doc":""},{"ref":"ExType.Parser.html","title":"ExType.Parser","type":"module","doc":""},{"ref":"ExType.Parser.html#expand/3","title":"ExType.Parser.expand/3","type":"function","doc":""},{"ref":"ExType.Parser.html#expand_call/1","title":"ExType.Parser.expand_call/1","type":"function","doc":""},{"ref":"Mix.Tasks.Type.html","title":"Mix.Tasks.Type","type":"task","doc":""},{"ref":"Mix.Tasks.Type.html#run/1","title":"Mix.Tasks.Type.run/1","type":"function","doc":"A task needs to implement run which receives a list of command line args. Callback implementation for Mix.Task.run/1."}]